
Robotics Service Bus - Tasks #326
Create intelligent logger
05/26/2011 03:26 PM - J. Wienke

Status: Resolved Start date: 05/26/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.3
Description
Print event components
    -  Meta-data
        -  Sender
        -  Timestamps (including user-supplied ones)
        -  UserInfo items
    -  Payload
        -  If not decodable, only content length (or hexdump?)
        -  If string, print it (may require truncation)
        -  If protocol buffer, display field values Maybe later

Associated revisions
Revision 54dae568 - 06/07/2011 11:35 PM - J. Moringen

Initial import of C++ tools sub-project
refs #326

Revision 1dec85d5 - 06/08/2011 10:44 AM - J. Moringen
Fixed configuration order in CMakeLists.txt
refs #326
    -  CMakeLists.txt: configure Boost.UUID after RSC since RSC updates

  CMake's module path

Revision 2990697d - 06/08/2011 12:50 PM - J. Moringen
Added payload formatters and a factory
refs #326
    -  logger/CMakeLists.txt: added files

  logger/{Bytes,String}PayloadFormatter.{h,cpp},
  logger/formatting.{h,cpp}

    -  logger/BytesPayloadFormatter.{h,cpp}: new files; a formatter for
  octet-vector payloads

    -  logger/StringPayloadFormatter.{h,cpp}: new files; a formatter for
  string payloads

    -  logger/formatting.{h,cpp}: new files; contain an interface and a
  factory for payload formatting

    -  logger/main.cpp: use getFormatter to obtain an appropriate payload
  formatter

Revision 8bcfeabb - 06/08/2011 04:08 PM - J. Moringen
Allow user-control over converters in src/rsb/Factory.{h,cpp}
refs #326
    -  src/rsb/Factory.{h,cpp}: do not try to configure converters if

  transport options already contain a "converters" property

Revision 7abf58f2 - 06/08/2011 05:24 PM - J. Moringen
Added ByteArrayConverter in src/rsb/converter/ByteArrayConverter.{h,cpp}
refs #326
    -  src/CMakeLists.txt: added files

  src/rsb/converter/ByteArrayConverter.{h,cpp}
    -  src/rsb/converter/ByteArrayConverter.{h,cpp}: new files; a converter

  that wraps the notification payload in a std::string
    -  src/rsb/converter/converters.cpp: register ByteArrayConverter

Revision 48fe1fce - 06/08/2011 05:29 PM - J. Moringen
Expect a string payload in logger/BytesPayloadFormatter.cpp
refs #326
    -  logger/BytesPayloadFormatter.cpp: expect the payload to be a

  std::string since it should usually be the output of a
  ByteArrayConverter

Revision 6f46fec1 - 06/08/2011 05:31 PM - J. Moringen
Nicer formatting of event timestamps in logger/main.cpp
refs #326
    -  logger/main.cpp: format event timestamps in a human-readable form;

  configure a custom converter selection strategy that falls back to
  the ByteArrayConverter

Revision 2f82c907 - 06/08/2011 06:09 PM - J. Moringen
Added commandline option handling in logger/main.cpp
refs #326
    -  logger/main.cpp: handle commandline options that control the scope

  and event formatting style

Revision e15328aa - 06/08/2011 06:21 PM - J. Moringen
Register StringConverter for string wire-schema in logger/main.cpp
fixes #326
    -  logger/main.cpp: register StringConverter for wire-schema string and

  fallback to ByteArrayConverter for everything else

History
#1 - 06/07/2011 11:22 PM - J. Moringen
- % Done changed from 0 to 50

not sure about "intelligent", but well ...
#2 - 06/08/2011 06:01 PM - J. Moringen
- Description updated

#3 - 06/08/2011 06:22 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 50 to 100

Applied in changeset r1452.
